<?php
/*
 *  Copyright (c) 2014 The CCP project authors. All Rights Reserved.
 *
 *  Use of this source code is governed by a Beijing Speedtong Information Technology Co.,Ltd license
 *  that can be found in the LICENSE file in the root of the web site.
 *
 *   http://www.yuntongxun.com
 *
 *  An additional intellectual property rights grant can be found
 *  in the file PATENTS.  All contributing project authors may
 *  be found in the AUTHORS file in the root of the source tree.
 */

include_once("CCPRestSDK.php");

//主帐号
$accountSid= '主帐号';

//主帐号Token
$accountToken= '主帐号Token';

//应用Id
$appId='应用Id';

//请求地址，格式如下，不需要写https://
$serverIP='sandboxapp.cloopen.com';

//请求端口 
$serverPort='8883';

//REST版本号
$softVersion='2013-12-26';


/**
 * 创建队列
 * @param queuetype				队列类型，限制正整数，0队列是云通讯平台默认创建的不需要再创建
 * @param typedes					队列类型描述，主要是对队列进行说明描述，例如：中文组
 * @param worktime				队列工作时间，所在队列的工作时间，不在工作时间内则不会进入队列进行排队，例如：09:00-18:00
 * @param offworkprompt 	非工作时间队列提示音，自定义放音文件通过云通讯官网上传审核
 * @param offworkdate			非工作日期，所在队列的非工作日期，在非工作日期内则不会进入队列进行排队，例如：2015-10-01:2015-10-07
 * @param offworkweekday	每周的非工作时间，所在队列每周的非工作时间，在非工作时间内则不会进入队列进行排队，每周非工作时间定义为Mon#Tue、Wed、Thu、Fri、Sat、Sun，多天以#分隔，例如：Mon#Tue
 */
function CreateQueue($queuetype,$typedes,$worktime,$offworkprompt,$offworkdate,$offworkweekday) {
    // 初始化REST SDK
    global $accountSid,$accountToken,$appId,$serverIP,$serverPort,$softVersion;
    $rest = new REST($serverIP,$serverPort,$softVersion);
    $rest->setAccount($accountSid,$accountToken);
    $rest->setAppId($appId);
    
    $result = $rest->CreateQueue($queuetype,$typedes,$worktime,$offworkprompt,$offworkdate,$offworkweekday);
    if($result == NULL ) {
        echo "result error!";
        break;
    }
        echo "error code :" . $result->statusCode . "<br/>";
        echo "error msg :" . $result->statusMsg . "<br>";
        //TODO 添加错误处理逻辑      
}

//Demo调用     
CreateQueue("队列类型","队列类型描述","队列工作时间","非工作时间队列提示音","非工作日期","每周的非工作时间");
?>
